import { Link } from 'react-router-dom';

const NotFound = () => {
  return (
    <div className="flex flex-col items-center justify-center min-h-screen bg-dark-900 text-white px-4">
      <div className="text-center max-w-lg">
        <h1 className="text-8xl font-bold bg-gradient-to-r from-primary-500 to-secondary-500 bg-clip-text text-transparent mb-6">404</h1>
        
        <h2 className="text-3xl font-bold mb-4">Page Not Found</h2>
        
        <p className="text-gray-300 mb-8">
          Oops! The page you're looking for doesn't exist or has been moved to a different location.
        </p>
        
        <div className="flex flex-wrap justify-center gap-4">
          <Link 
            to="/" 
            className="px-6 py-3 bg-primary-600 hover:bg-primary-700 text-white font-medium rounded-lg shadow-lg transition-colors"
          >
            Return Home
          </Link>
          
          <Link 
            to="/roadmap" 
            className="px-6 py-3 border-2 border-primary-500 text-primary-400 hover:bg-primary-500/10 font-medium rounded-lg transition-colors"
          >
            Explore Roadmaps
          </Link>
        </div>
        
        <div className="mt-16">
          <p className="text-gray-400 mb-2">
            Think this is a mistake? Let us know!
          </p>
          <a 
            href="mailto:support@dotechbro.org" 
            className="text-primary-400 hover:text-primary-300 transition-colors"
          >
            support@dotechbro.org
          </a>
        </div>
      </div>
    </div>
  );
};

export default NotFound;